aboutsummaryrefslogtreecommitdiff
path: root/lib/subcommands/pull.bash
diff options
context:
space:
mode:
Diffstat (limited to 'lib/subcommands/pull.bash')
-rw-r--r--lib/subcommands/pull.bash15
1 files changed, 15 insertions, 0 deletions
diff --git a/lib/subcommands/pull.bash b/lib/subcommands/pull.bash
new file mode 100644
index 0000000..4061f1b
--- /dev/null
+++ b/lib/subcommands/pull.bash
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+# SPDX-FileCopyrightText: 2023 Patrick Spek <p.spek@tyil.nl>
+#
+# SPDX-License-Identifier: AGPL-3.0-or-later
+
+subcommand()
+{
+ notice "bashtard/pull" "Pulling latest changes in $BASHTARD_ETCDIR"
+
+ git -C "$BASHTARD_ETCDIR" stash
+ git -C "$BASHTARD_ETCDIR" pull origin master || return 4
+ git -C "$BASHTARD_ETCDIR" submodule update --recursive --remote || return 4
+ git -C "$BASHTARD_ETCDIR" stash pop
+}